org.eclnt.tool

## Class CSSStyle

- java.lang.Object
- - org.eclnt.tool.CSSStyle

- All Implemented Interfaces:
    java.io.Serializable

      public class CSSStyle
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PREFIX_EXTENDED_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CSSStyle()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStyleClass(CSSStyleClass sc)`
    `void` | `addVariableCategory(java.lang.String name, java.lang.String category)`
    `void` | `addVariableValue(java.lang.String name, java.lang.String value)`
    `CSSStyle` | `createClone()`
    `java.util.Map<java.lang.String,CSSStyleClass>` | `getStyleClasses()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getVariableCategories()`
    `java.lang.String` | `getVariableCategory(java.lang.String name)`
    `java.util.Map<java.lang.String,java.lang.String>` | `getVariableValues()`
    `void` | `outputCSS(java.lang.StringBuffer sb, java.util.List<CSSStyleClass> cssStyleClasses)`
    `void` | `outputJsonMap(java.util.Map<java.lang.String,java.lang.Object> map)`
    `void` | `outputXML(java.lang.StringBuffer sb)`
    `void` | `remoceStyleClass(java.lang.String name)`
    `void` | `removeVariableValue(java.lang.String name)`
    `static java.lang.String` | `updateJSValueContent(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PREFIX_EXTENDED_CLASS

          public static final java.lang.String PREFIX_EXTENDED_CLASS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CSSStyle

          public CSSStyle()

  - ### Method Detail

    - #### createClone

          public CSSStyle createClone()

    - #### getStyleClasses

          public java.util.Map<java.lang.String,CSSStyleClass> getStyleClasses()

    - #### getVariableValues

          public java.util.Map<java.lang.String,java.lang.String> getVariableValues()

    - #### addVariableValue

          public void addVariableValue(java.lang.String name,
                                       java.lang.String value)

    - #### addVariableCategory

          public void addVariableCategory(java.lang.String name,
                                          java.lang.String category)

    - #### getVariableCategory

          public java.lang.String getVariableCategory(java.lang.String name)

    - #### getVariableCategories

          public java.util.Map<java.lang.String,java.lang.String> getVariableCategories()

    - #### removeVariableValue

          public void removeVariableValue(java.lang.String name)

    - #### addStyleClass

          public void addStyleClass(CSSStyleClass sc)

    - #### remoceStyleClass

          public void remoceStyleClass(java.lang.String name)

    - #### outputXML

          public void outputXML(java.lang.StringBuffer sb)

    - #### outputCSS

          public void outputCSS(java.lang.StringBuffer sb,
                                java.util.List<CSSStyleClass> cssStyleClasses)

      Parameters:
        `sb` - StringBuffer in which the CSS result is output.
        `cssStyleClasses` - List of CSSStyleClasses in which the classes of the style are appended.

    - #### outputJsonMap

          public void outputJsonMap(java.util.Map<java.lang.String,java.lang.Object> map)

    - #### updateJSValueContent

          public static java.lang.String updateJSValueContent(java.lang.String value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.